@echo off
cd /d "%~dp0"

regsvr32 /u /s "%CD%\OARTCONV.DLL"
regsvr32 /u /s "%CD%\ADDINS\MSADDNDR.DLL"
regsvr32 /u /s "%CD%\GENKO.DLL"
regsvr32 /u /s "%CD%\ADDINS\TCSCCONV.DLL"
regsvr32 /u /s "%CD%\ADDINS\SYMINPUT.DLL"
regsvr32 /u /s "%CD%\2052\TBLHEAD.DLL"
regsvr32 /u /s "%CD%\ADDINS\MP3Addin\AddSoundAddin.DLL"
IF EXIST "%CD%\ADDINS\Office Tab\TabsforOffice86.dll" (
regsvr32 /u /s "%CD%\ADDINS\Office Tab\TabsforOffice86.dll"
)

>un2007.reg (
echo Windows Registry Editor Version 5.00
echo.
echo [-HKEY_CURRENT_USER\Software\Microsoft\Office]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.doc]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.docx]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.docm]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.dotx]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.dotm]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.pptm]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.pot]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.potx]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.pps]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.ppsm]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.xlc]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.xls]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.xlsx]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.xlsm]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.xltx]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.xltm]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.xlsb]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\.xlam]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{00020821-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{00020830-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{000209FF-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{91493441-5A91-11CF-8700-00AA0060263B}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Excel.Chart.8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Excel.Sheet.12]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Excel.Sheet.8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Installer\Features\00002109030000000000000000F01FEC]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Licenses\73A4C9C1-D68D-11d0-98BF-00A0C90DC8D9\12.0]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Licenses\DC4D7920-6AC8-11cf-8ADB-00AA00C00905]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\PowerPoint.Show.12]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\PowerPoint.Show.8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Word.Document.12]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Word.Document.8]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\11B564CAA807C694ABE73044DC90516B]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\1FA18F7974E099CD0AF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\1FA18F7974E099CD0BF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\1FA18F7974E099CD0CF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\2156F7AA226338F4999B3F50DFE1E65E]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\2227A34C816D4F94EB598446F9BD8B17]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\2562336682C91B850AF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\2562336682C91B850CF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\2A31EAB9FA7E3C6D0AF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\2A31EAB9FA7E3C6D0BF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\2A31EAB9FA7E3C6D0CF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\2EEF86DD963C1D111A37000A9CA05BF0]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\2FAFA61ADBF18444690EDB85CAA39EB7]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\337E30A68012B5341B7A8ADE48F4064A]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\359E92CC2CB71D119A12000A9CE1A22A]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\379E92CC2CB71D119A12000A9CE1A22A]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\379E92CC2CB71D119A12000A9CE1A22A]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\4006F64980E4BACB0DF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\4006F64980E4BACB0EF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\47155108894E68A409FDC1FC6E8DA2CB]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\4EEF86DD963C1D111A37000A9CA05BF0]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\5120EEDE039486F42830D8D2552797F6]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\5AF3BA43F42FF4746A8D3D4D160BD6AF]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\6C9A6F846E2818A47A408CAF13381C71]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\6EC3DF47D8A2C9E00AF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\6EC3DF47D8A2C9E00BF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\6EC3DF47D8A2C9E00CF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\6F949E36CB3004C50AF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\6F949E36CB3004C50CF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\72550EAA4F7970143BF094E2F6C9164E]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\748B2526ADAB4D3429253E7976AF041A]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\77AE531D63D456630DF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\7AA6F3DBF3CE139469FE63D56E7AF446]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\7AA6F3DBF3CE139469FE63D56E7AF446]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\82DE7549CF3F8CCB0DF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\9260D47DD05543D43AB5315284107D5B]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\940F43383A1766E44BBD6236980545C5]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\9B271454ED4348B47B365F93ADEAC015]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\9B905EB838DBFEE4991CF8E66F518BBF]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\9C1D6229422D71045BFB2F8BCE017AA4]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\9D6BD49C8A516ED41BB0C0D31B0F52BC]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\9D6C7B862FD11C450AF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\9D6C7B862FD11C450CF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\A457B2D1A9DC1D112897000CF42C6133]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\A5824C2FB557A5D43881763B7A07D05E]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\AA4747BB0AC53254E8F9B9A7BE7077B9]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\AD4E638E8714C454FA1AD399C0E81909]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\B92D5049E11C93DB0DF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\C733A8B34D26AF4458B43E09EFC2C77F]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\C89954FBD4FB47C449CE85E9F7E918FB]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\CAB7071E27686994093945B9EE85F69D]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\CCABF232126726445BC57F4CDE05C5EB]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\D94C8360B8BB1DC41B1950E0F8237563]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\D94C8360B8BB1DC41B1950E1F8237563]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\D94C8360B8BB1DC41B1950E2F8237563]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\D94C8360B8BB1DC41B1950E3F8237563]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\DA42BC89BF25F5BD0AF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\DA42BC89BF25F5BD0BF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\DA42BC89BF25F5BD0CF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\E3F997A2790938844ACDF81020B32415]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\F3D0372D14C348850AF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\F3D0372D14C348850CF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\F7CD01816C53D32438CF043106011676]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\F7CD01816C53D32438CF043106011676]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\F7CD01816C53D32438CF043106011676]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\FAA0CF253FC4B234CB5A6AC2AFDEF8BE]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\FE334C41ADDE81149944C1D33967043A]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\FEBB12B9A5B87A047817880E458ABC4B]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\4A885D6CD6747014B8E040046AFB00CE]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\90EBE74B208F7D647ABDAF17C01FE640]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\DEC398B404215DD499E13ED3B8C3DD19]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\DEF2DF47B733C9E00BF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\DEF2DF47B733C9E00CF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\DF05DEB6085B31A80CF18C3B9B1A1EE8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\652A08B235C6DFF4C8CD41B52DE68CA4]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\F0C7F119D7B546A4C9B7DAFBECCFF3D4]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\9B4B5940D4625D64C85532B8CDE3BF4D]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\1125549C421D34E4DBF1036F62580BE1]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\00965022248C1D110ADD000A9C502477]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\000021090300000000000014F376BCF5]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\000021090300000000000044F37ADCF5]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\F0074080C5C2EC04FA14B47E844D3A4F]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\6E0FCF9AC815370428F8057E0ADADB79]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\8E2811A46CDC9A240A515AD2F98DD51A]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\8EEF86DD963C1D111A37000A9CA05BF0]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\ADFEA5D8E1DA6F44EB0FFECFDBE388D8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\1C1B74D56F7A1D11A9CC0006794C4E25]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\3B0C63C981DF33A4C8615BDF27AD6336]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\20FD9176C974E3243872691DF2FC5EC4]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\E625CF2579F61EA47853A2F611AAF5E1]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\AF39A8A9BA0879C4295BEABE8027C0F9]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\F17DAFC40CE3BDA4DA5BD0E651973510]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\602293A26C2A2CE4BBBA9A4870DE6B25]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\BCB908B9C1536D340955FC152ACC77E0]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\480585E172EFA4C45A85E0DDA5C1A470]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{539E424E-EE72-4439-BB27-6B646D119406}\InProcServer32]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{539E424E-EE72-4439-BB27-6B646D119406}\InProcServer32]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\WOW6432Node\CLSID\{539E424E-EE72-4439-BB27-6B646D119406}\InProcServer32]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\WOW6432Node\CLSID\{539E424E-EE72-4439-BB27-6B646D119406}\InProcServer32]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\49DFBA7AF457A8B4EBD5783F921FACC2]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\4AFC55126308D32438EED59806D01BC9]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\77B931DB42742C848BB6137C4F01E5FF]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\86EE1DEB37E43BC4896128BBFE2A7072]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\FF1621F395AFFB74683838C595B20460]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\57634D5732AA1D11A9CC0006794C4E25]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\3913228BF3202AD4E9182F34D99B96B2]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\A3616DDE3B1B18E41BBDBF8672D65B0F]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\826BE7CCECB5A07419E4D5FC61E63C4A]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Products\00002109030000000000000000F01FEC]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Installer\Components\FF0DC02512092D34092405F328226FD5]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Installer\Components\568CB039FF7CB3741B0A100A5A1C820B]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Installer\Components\5B2540B617234C04985E29079C99A635]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Installer\Components\5B7B7EEC3DCE3EC4FBC070131583F98C]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Installer\Components\5F925B8407A0CD94E86794CCE96AE609]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Installer\Components\5F9BC0C744F1599438DA00F048C92C33]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Installer\Components\613B99D5CFD7FCB4793B500086BB4113]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Installer\Components\621EAA421190F8740A91708B57BE9969]

echo [-HKEY_CLASSES_ROOT\Applications\WINWORD.EXE]
echo [-HKEY_CLASSES_ROOT\Applications\EXCEL.EXE]
echo [-HKEY_CLASSES_ROOT\Applications\POWERPNT.EXE]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Office\12.0]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\12.0]
echo [-HKCU\Software\Microsoft\Office\12.0]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{00024500-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{000209FE-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{000209FF-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{91493441-5A91-11CF-8700-00AA0060263B}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{9EF6157A-0BD6-11D2-A7D4-00C04FC018A5}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{9EF6157E-0BD6-11D2-A7D4-00C04FC018A5}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{31D281E2-8D6C-402F-BEC5-9C8E174476D6}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{3D5356A9-4BDE-448E-9926-51F39409E48E}]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{00024512-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{AC0714F6-3D04-11D1-AE7D-00A0C90F26F4}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{AC0714F7-3D04-11D1-AE7D-00A0C90F26F4}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{48F1A45E-8F68-498E-9001-5D3743D2DB98}]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\CLSID\{02BCC737-B171-4746-94C9-0D8A0B2C0089}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{02BCC737-B171-4746-94C9-0D8A0B2C0089}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\TypeLib\{012F24C1-35B0-11D0-BF2D-0000E8D0D146}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\TypeLib\{012F24C1-35B0-11D0-BF2D-0000E8D0D146}]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\TypeLib\{000204EF-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\TypeLib\{000204EF-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\TypeLib\{00020813-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\TypeLib\{00020813-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\TypeLib\{0002E157-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\TypeLib\{0002E157-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\TypeLib\{000204F3-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\TypeLib\{000204F3-0000-0000-C000-000000000046}]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\TypeLib\{5D0F5776-D173-41DA-8EC6-18C141CEC410}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\TypeLib\{5D0F5776-D173-41DA-8EC6-18C141CEC410}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\TypeLib\{6001EE4B-8628-4642-B90F-F089818623F3}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\TypeLib\{6001EE4B-8628-4642-B90F-F089818623F3}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\TypeLib\{AC0714F2-3D04-11D1-AE7D-00A0C90F26F4}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\TypeLib\{AC0714F2-3D04-11D1-AE7D-00A0C90F26F4}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\TypeLib\{2DF8D04C-5BFA-101B-BDE5-00AA0044DE52}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\TypeLib\{2DF8D04C-5BFA-101B-BDE5-00AA0044DE52}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\TypeLib\{00024517-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\TypeLib\{00024517-0000-0000-C000-000000000046}]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{00024512-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{AC0714F6-3D04-11D1-AE7D-00A0C90F26F4}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{AC0714F7-3D04-11D1-AE7D-00A0C90F26F4}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{48F1A45E-8F68-498E-9001-5D3743D2DB98}]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{00024500-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{000209FE-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{000209FF-0000-0000-C000-000000000046}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{91493441-5A91-11CF-8700-00AA0060263B}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{9EF6157A-0BD6-11D2-A7D4-00C04FC018A5}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{9EF6157E-0BD6-11D2-A7D4-00C04FC018A5}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{31D281E2-8D6C-402F-BEC5-9C8E174476D6}]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\CLSID\{3D5356A9-4BDE-448E-9926-51F39409E48E}]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\12.0\Common\General]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Microsoft\Office\12.0\Common\General]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Components\02F4F73161B98F5489313A5B7F5BFFE9]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Products\00002109F10040800000000000F01FEC\Features]

echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\Excel.Sheet.12]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\Excel.Sheet.8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\PowerPoint.Show.12]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\PowerPoint.Show.8]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\Word.Document.12]
echo [-HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Wow6432Node\Word.Document.8]

echo [-HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Uninstall\office2007-my]
)
regedit /s un2007.reg
del un2007.reg

PECMD FILE "%%Desktop%%\Office2007_*.LNK"
"%CD%\mmaj.exe" xz
exit
